%global debug_package %{nil}
%bcond_without docs

Summary: GNUstep makefile package
Name: gnustep-make
Version: 2.0.8
Release: 2%{?dist}
License: GPLv3+
Group: Development/Tools
URL: http://www.gnustep.org/
Source: ftp://ftp.gnustep.org/pub/gnustep/core/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: perl
%if %{with docs}
BuildRequires: texinfo-tex, tetex-latex, tetex-dvips, latex2html, texi2html
%endif

%description
The makefile package is a simple, powerful and extensible way to write
makefiles for a GNUstep-based project.  It allows the user to write a
project without having to deal with the complex issues associated with
configuration, building, installation, and packaging.  It also allows
the user to easily create cross-compiled binaries.

%if %{with docs}
%package        doc
Summary:        Documentation for %{name}
Group:          Documentation
License:        GPLv3+
Requires:       %{name} = %{version}-%{release}


%description    doc
The makefile package is a simple, powerful and extensible way to write
makefiles for a GNUstep-based project.  It allows the user to write a
project without having to deal with the complex issues associated with
configuration, building, installation, and packaging.  It also allows
the user to easily create cross-compiled binaries.

This package contains documentation for %{name}.
%endif

%prep
%setup -q
perl -pi -e"s,/share/GNUstep/Documentation,`echo %{_defaultdocdir}/%{name}-doc-%{version} | sed -e's,^/usr,,'`," \
  FilesystemLayouts/fhs-system
# /usr/share/GNUstep/Makefiles/config-noarch.make and
# /usr/share/GNUstep/Makefiles/ix86/linux-gnu/gnu-gnu-gnu/config.make
# are spoiling a pure /usr/share install
sed -i -e 's,/local,,' FilesystemLayouts/fhs-system
sed -i -e 's,=/lib,=/%_lib,' FilesystemLayouts/fhs-system
perl -pi -e"s,GNUSTEP_MAKEFILES=/share/GNUstep/Makefiles,GNUSTEP_MAKEFILES=`echo %{_libdir} | sed -e's,^/usr,,'`/GNUstep/Makefiles," \
  FilesystemLayouts/fhs-system

%build
%configure --with-layout=fhs-system --enable-flattened
make

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
mkdir -p %{buildroot}%{_defaultdocdir}/%{name}-doc-%{version}
%if %{with docs}
make -C Documentation GNUSTEP_MAKEFILES=%{buildroot}%{_libdir}/GNUstep/Makefiles
make -C Documentation install GNUSTEP_MAKEFILES=%{buildroot}%{_libdir}/GNUstep/Makefiles DESTDIR=%{buildroot}
%endif
mkdir -p %{buildroot}%{_defaultdocdir}/%{name}-%{version}
install -p ANNOUNCE COPYING FAQ NEWS README \
  %{buildroot}%{_defaultdocdir}/%{name}-%{version}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc %{_defaultdocdir}/%{name}-%{version}
#%{_datadir}/GNUstep
%{_libdir}/GNUstep
#%{_libexecdir}/GNUstep
%dir /etc/GNUstep
%config(noreplace) /etc/GNUstep/GNUstep.conf
%{_bindir}/*
%{_mandir}/man*/*
%if %{with docs}
%{_infodir}/*
%endif

%files doc
%defattr(-,root,root,-)
%doc %{_defaultdocdir}/%{name}-doc-%{version}

%changelog
* Thu Mar 12 2009 Michel Salim <salimma@fedoraproject.org> - 2.0.8-2
- Put documentation into separate subpackage

* Wed Mar  3 2009 Jochen Schmitt <Jochen herr-schmitt de> - 2.0.8-1
- New upstream release

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.6-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Dec 10 2008 Jochen Schmitt <Jochen herr-schmitt de> - 2.0.6-14
- Remove libcombo stuff
- Make sure the libraries are going to /usr/lib64 on x86_64 architecure

* Tue Aug 26 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 2.0.6-13
- fix license tag

* Wed Aug  6 2008 Axel Thimm <Axel.Thimm@ATrpms.net> - 2.0.6-12
- Fix %%{_datadir} to %%{_libdir} bug in documentation build.

* Fri Jul  4 2008 Axel Thimm <Axel.Thimm@ATrpms.net> - 2.0.6-11
- Update to 2.0.6.
- Move %%{_datadir} to %%{_libdir}, see inline comment.

* Tue Mar  4 2008 Axel Thimm <Axel.Thimm@ATrpms.net> - 2.0.4-9
- Really fix the make.info clash.

* Fri Feb 22 2008 Axel Thimm <Axel.Thimm@ATrpms.net> - 2.0.4-8
- Rename make.info to avoid clash with GNU make.

* Mon Feb 18 2008 Axel Thimm <Axel.Thimm@ATrpms.net> - 2.0.4-7
- Update to 2.0.4.

* Mon Feb 12 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.13.0-6
- Update to 1.13.0.

* Fri Jul 28 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.12.0-5
- Try to make FHS compliant.

* Tue Jul 11 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.12.0-4
- Remove default -lobjc-fd2 switch.
- Disable flat hierarchy to allow for different library combos.

* Wed Jul  5 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.12.0-3
- Update to 1.12.0.
- Use %%{?dist} instead of %%atrelease.
- Use %%{_libdir}/GNUstep as system root.

* Sun Mar 12 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Initial build.

